package com.huimv.eartag2.admin.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.huimv.eartag2.admin.entity.SysAccountMultilevel;
import com.huimv.eartag2.common.utils.Result;

import java.util.List;
import java.util.Map;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author astupidcoder
 * @since 2021-10-14
 */
public interface ISysAccountMultilevelService extends IService<SysAccountMultilevel> {

    Result findUserAccount(String searchStr, int pageNum, int pageSize, Integer userId);

    Result add(SysAccountMultilevel sysAccountMultilevel, Integer userId);

    Result setAccountStatus(List<Integer> ids, Integer status);

    List<Integer> getAllChildId(String orgId);

//    Result listSubordinate(String searchStr, int pageNum, int pageSize, String orgId);
    Result listSubordinate(String searchStr, int pageNum, int pageSize, Integer orgId);

    Result getLastFarmId(Integer userId);

    Result listById(Integer userId);

    Result boundFarm(Map<String, String> paramsMap);

    Result updateUserPassword(Map<String, String> map, Integer userId);
}
